﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Menus;

namespace BuildInCode
{
    public partial class MainPage : UserControl
    {
        int cnt=0;
        public MainPage()
        {
            InitializeComponent();

        }

        private void UserControl_Loaded(object sender, RoutedEventArgs e)
        {
          //  XamTree MyTree = new XamTree();

            //Create the root item
            XamTreeItem programs = new XamTreeItem();
            programs.Header = "Programs";

            // Create a child item and add it to the root item
            XamTreeItem financeProgram = new XamTreeItem();
            financeProgram.Header = "Finance Programs";
            programs.Items.Add(financeProgram);

            // Create an item and add it to the root item
            XamTreeItem photoProgram = new XamTreeItem();
            photoProgram.Header = "Photo Editor";
            programs.Items.Add(photoProgram);

            // Create a child item and add it to the Finance Programs item
            XamTreeItem calculatorProgram = new XamTreeItem();
            calculatorProgram.Header = "Calculator";
            financeProgram.Items.Add(calculatorProgram);

            //Finally, add the root item to the Tree‘s collection of items and then add xamTree to the layout container's Children collection
            MyTree.Items.Add(programs);
          //  this.LayoutRoot.Children.Add(MyTree);

            MyTree.ItemExpansionChanged += new EventHandler<ExpansionChangedEventArgs>(MyTree_ItemExpansionChanged);


        }

        void MyTree_ItemExpansionChanged(object sender, ExpansionChangedEventArgs e)
        {
            XamTreeItem item = (XamTreeItem)e.SourceItem;

            item.XamTree.ActiveItem = item;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
           XamTreeItem actNode = (XamTreeItem)MyTree.ActiveItem;
            msgBlk.Text = "Active Node is " + actNode.Header;
            if (actNode.XamTree == null)
            {
                msgBlk.Text = msgBlk.Text + " reference to XamTree is null";
            }
            else
            {
                msgBlk.Text = msgBlk.Text + " Tree is " + actNode.XamTree.Name;
            }
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            XamTreeItem node = (XamTreeItem) MyTree.ActiveItem;
          
            if (node != null)
            {
                XamTreeItem child = new XamTreeItem() { Header = "New Child" + cnt++ };
               
                child.Items.Add(new XamTreeItem() { Header = "New Child " + cnt++ });
                node.Items.Add(child);
            }
            else
                msgBlk.Text = "Active node not found";
        }
    }
}
